Subject: Re: bug#19208: replace-match unhelpful error message

From: Paul Eggert <[email-masked]>
Date: Sat, 3 Aug 2019 13:50:55 -0700

Lars Ingebrigtsen wrote:
> they are
> demonstrably confusing for people not used to seeing conditionals
> written that way, which is I think pretty much everybody, except four
> people working on Emacs.  :-)

Just four?  :-)  (Actually the style is also used in other GNU projects.)

In this particular case the Leibniz style caught a potentially-serious bug. 
Although I understand that it can be a minor irritation for newcomers, it is 
quite useful for range checking and in practice I find that its reliability 
outweighs any irritation. (I didn't like Val Schorre's advice either, when I 
first heard it - but he was right.)